Package com.enonic.xp.portal.url

## Class AbstractUrlParams<T extends AbstractUrlParams>

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<T>

- Direct Known Subclasses:
    `AssetUrlParams`, `AttachmentUrlParams`, `ComponentUrlParams`, `GenerateUrlParams`, `IdentityUrlParams`, `ImageUrlParams`, `PageUrlParams`, `ProcessHtmlParams`, `RestServiceUrlParams`, `ServiceUrlParams`

      @PublicApi
      public abstract class AbstractUrlParams<T extends AbstractUrlParams>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractUrlParams()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `T` | `contextPathType​(String value)` |
    `ContextPathType` | `getContextPathType()` |
    `protected ContextPathType` | `getDefaultContextPath()` |
    `Multimap<String,​String>` | `getParams()` |
    `PortalRequest` | `getPortalRequest()` |
    `String` | `getType()` |
    `T` | `param​(String name, Object value)` |
    `T` | `portalRequest​(PortalRequest portalRequest)` |
    `T` | `setAsMap​(Multimap<String,​String> map)` |
    `protected static String` | `singleValue​(Multimap<String,​String> map, String name)` |
    `String` | `toString()` |
    `T` | `type​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUrlParams

          public AbstractUrlParams()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### getContextPathType

          public ContextPathType getContextPathType()

    - #### getParams

          public final Multimap<String,​String> getParams()

    - #### getPortalRequest

          public final PortalRequest getPortalRequest()

    - #### type

          public final T type​(String value)

    - #### contextPathType

          public final T contextPathType​(String value)

    - #### getDefaultContextPath

          protected ContextPathType getDefaultContextPath()

    - #### param

          public final T param​(String name,
                               Object value)

    - #### portalRequest

          public final T portalRequest​(PortalRequest portalRequest)

    - #### setAsMap

          public T setAsMap​(Multimap<String,​String> map)

    - #### singleValue

          protected static String singleValue​(Multimap<String,​String> map,
                                              String name)

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`